This service will be undergoing maintenance at 00:00 UTC, 2016-08-01. It is expected to last about 1 hours

Bug 902163 (CVE-2013-0200)

Summary: CVE-2013-0200 hplip: insecure temporary file handling flaws
Product: [Other] Security Response Reporter: Huzaifa S. Sidhpurwala <huzaifas>
Component: vulnerabilityAssignee: Red Hat Product Security <security-response-team>
Status: CLOSED ERRATA QA Contact:
Severity: low Docs Contact:
Priority: low    
Version: unspecifiedCC: azelinka, jrusnack, security-response-team, twaugh
Target Milestone: ---Keywords: Security
Target Release: ---   
Hardware: All   
OS: Linux   
Whiteboard: impact=low,public=20130221,reported=20120121,source=redhat,cvss2=1.9/AV:L/AC:M/Au:N/C:N/I:P/A:N,rhel-5/hplip=notaffected,rhel-6/hplip=affected,rhel-5/hplip3=notaffected,fedora-all/hplip=notaffected,cwe=CWE-377
Fixed In Version: Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of: Environment:
Last Closed: 2013-02-21 23:53:49 EST Type: ---
Regression: --- Mount Type: ---
Documentation: --- CRM:
Verified Versions: Category: ---
oVirt Team: --- RHEL 7.3 requirements from Atomic Host:
Bug Depends On: 883650    
Bug Blocks: 855229    

Description Huzaifa S. Sidhpurwala 2013-01-20 23:05:16 EST
Temporary file handling flaws were found in several places in hplip. Because a predicatable temporary filenames are used, an attacker could use a symlink attack to overwrite an arbitrary file with the privileges of the process running hplip.

This is a different flaw than CVE-2011-2722.
Comment 2 Huzaifa S. Sidhpurwala 2013-01-20 23:12:06 EST
Acknowledgements:

This issue was discovered by Tim Waugh of Red Hat.
Comment 3 errata-xmlrpc 2013-02-21 02:56:06 EST
This issue has been addressed in following products:

  Red Hat Enterprise Linux 6

Via RHSA-2013:0500 https://rhn.redhat.com/errata/RHSA-2013-0500.html
Comment 4 Huzaifa S. Sidhpurwala 2013-02-21 23:53:49 EST
Statement:

This issue does not affect the version of hplip and hplip3 as shipped with Red Hat Enterprise Linux 5. This issue has been addressed in Red Hat Enterprise Linux 6 via RHSA-2013:0500.